> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run an APP scam check (V2)

> Checks a prospective beneficiary against the client's existing beneficiaries for a potential Authorised Push Payment (APP) scam. Intended to be called before a beneficiary is created.



## OpenAPI

````yaml https://api.ebury.io/openapi.json post /v2/beneficiaries/app-scam-checks
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security: []
paths:
  /v2/beneficiaries/app-scam-checks:
    parameters:
      - $ref: '#/components/parameters/ClientId'
      - $ref: '#/components/parameters/Authorization'
    post:
      tags:
        - Beneficiaries V2
      summary: Run an APP scam check (V2)
      description: >-
        Checks a prospective beneficiary against the client's existing
        beneficiaries for a potential Authorised Push Payment (APP) scam.
        Intended to be called before a beneficiary is created.
      operationId: beneficiaries_v2_app_scam_checks_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BeneficiaryV2AppScamCheckRequest'
        description: The prospective beneficiary's details.
        required: true
      responses:
        '200':
          $ref: '#/components/responses/BeneficiaryV2AppScamCheck'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/ClientNotFound'
        '422':
          $ref: '#/components/responses/ValidationError'
        '500':
          $ref: '#/components/responses/IntegrationError'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  schemas:
    BeneficiaryV2AppScamCheckRequest:
      description: >-
        The prospective beneficiary's details to check for a potential
        Authorised Push Payment (APP) scam.
      properties:
        beneficiary_name:
          description: The name of the prospective beneficiary.
          minLength: 1
          type: string
        bank_country_code:
          description: >-
            The ISO 3166-1 alpha-2 country code of the prospective beneficiary's
            bank.
          maxLength: 2
          minLength: 2
          type: string
      required:
        - beneficiary_name
        - bank_country_code
      type: object
    BeneficiaryV2AppScamCheckResponse:
      description: The result of an APP scam check for a prospective beneficiary.
      properties:
        possible_app_scam_detected:
          description: >-
            Whether a potential APP scam was detected for the prospective
            beneficiary.
          type: boolean
      required:
        - possible_app_scam_detected
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  responses:
    BeneficiaryV2AppScamCheck:
      description: The result of an APP scam check for a prospective beneficiary.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BeneficiaryV2AppScamCheckResponse'
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    ClientNotFound:
      description: Client identifier not found.
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'

````